var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { DiagramComponent, Diagram, SnapConstraints, DiagramContextMenu, NodeConstraints, } from '@syncfusion/ej2-angular-diagrams';
import { TemplateContent } from './button';
import { toPng, toBlob } from 'html-to-image';
Diagram.Inject(DiagramContextMenu);
/**
 * Default FlowShape sample
 */
var FlowDiagramComponent = /** @class */ (function () {
    function FlowDiagramComponent() {
        this.template = new TemplateContent();
        this.visibility = "visible";
        // ngAfterViewInit(): void {
        //   let node: NodeModel = this.diagram.nodes[6];
        //   node.shape =  { type: 'HTML', content: this.template.content };
        //   this.diagram.dataBind();
        // }
        this.nodeVisibleInfo = { IsVisible: 'visible' };
        this.nodeHiddenInfo = { IsVisible: 'hidden' };
        this.nodes = [
            // {
            //     id: 'HTML1', borderColor: 'black', borderWidth: 1, offsetX: 300, offsetY: 288, height: 100, width: 100,
            //     annotations: [ { content: 'Button'}],
            //     shape: {
            //         type: 'HTML',
            //         content: '<button type="button" style="width:100px"> Button</button>'
            //     }
            // },
            // {
            //     id: 'HTML2', borderColor: 'black', borderWidth: 1, offsetX: 150, offsetY: 250, height: 100, width: 100,
            //     annotations: [ { content: 'Button'}],
            //     shape: {
            //         type: 'HTML',
            //         content: '<button type="button" style="width:100px"> Button</button>'
            //     }
            // },
            // {
            //     id: 'HTML3', borderColor: 'black', borderWidth: 1, offsetX: 300, offsetY: 150, height: 100, width: 100,
            //     annotations: [ { content: 'Button'}],
            //     shape: {
            //         type: 'HTML',
            //         content: '<button type="button" style="width:100px"> Button</button>'
            //     }
            // },
            // {
            //     id: 'HTML4', borderColor: 'black', borderWidth: 1, offsetX: 450, offsetY: 250, height: 100, width: 100,
            //     annotations: [ { content: 'Button'}],
            //     shape: {
            //         type: 'HTML',
            //         content: '<button type="button" style="width:100px"> Button</button>'
            //     }
            // },
            {
                id: 'HTML5', borderColor: 'black', borderWidth: 1, offsetX: 100, offsetY: 100, height: 100, width: 100, addInfo: this.nodeHiddenInfo,
                annotations: [{ content: 'Button' }],
                shape: {
                    type: 'HTML',
                    content: '<div style="height:100%;width:100%;background-color:white"><img src="https://ej2.syncfusion.com/angular/demos/src/diagram/employees/image51.png" width=100 height=100>Small Images is Hidden</img><div style="position: absolute;left: 80px;top:0px;visibility:${addInfo.IsVisible}"><img src="https://ej2.syncfusion.com/angular/demos/src/diagram/employees/Thomas.png" width=20 height=20/></div></div>'
                }
            },
            {
                id: 'HTML6', borderColor: 'black', borderWidth: 1, offsetX: 300, offsetY: 100, height: 100, width: 100, addInfo: this.nodeVisibleInfo,
                annotations: [{ content: 'Button' }],
                shape: {
                    type: 'HTML',
                    content: '<div style="height:100%;width:100%;background-color:white"><img src="https://ej2.syncfusion.com/angular/demos/src/diagram/employees/Clayton.png" width=100 height=100>Small Images is Shown</img><div style="position: absolute;left: 80px;top:0px;visibility:${addInfo.IsVisible}"><img src="https://ej2.syncfusion.com/angular/demos/src/diagram/employees/Thomas.png" width=20 height=20/></div></div>'
                }
            },
        ];
        this.snapSettings = {
            constraints: SnapConstraints.None
        };
    }
    FlowDiagramComponent.prototype.showImageClick = function (args) {
        console.log(this.nodeHiddenInfo.IsVisible);
        var template;
        this.nodeHiddenInfo.IsVisible = 'visible';
        var nodes = this.diagram.nodes;
        for (var i = 0; i < nodes.length; i++) {
            template = nodes[i].shape.content;
            nodes[i].shape.content = '';
            nodes[i].shape.content = template;
        }
        this.diagram.dataBind();
        console.log(this.nodeHiddenInfo.IsVisible);
    };
    FlowDiagramComponent.prototype.hideImageClick = function (args) {
        console.log(this.nodeHiddenInfo.IsVisible);
        this.nodeHiddenInfo.IsVisible = 'hidden';
        var template;
        var nodes = this.diagram.nodes;
        for (var i = 0; i < nodes.length; i++) {
            template = nodes[i].shape.content;
            nodes[i].shape.content = '';
            nodes[i].shape.content = template;
        }
        this.diagram.dataBind();
        console.log(this.nodeHiddenInfo.IsVisible);
    };
    FlowDiagramComponent.prototype.exportDiagramClick = function (args) {
        var htmlData = this.diagram.getDiagramContent();
        var div = document.createElement('div');
        div.innerHTML = htmlData;
        toPng(div)
            .then(function (dataUrl) {
            var img = new Image();
            img.src = dataUrl;
            document.body.appendChild(img);
            (dataUrl, 'my-node.png');
        })
            .catch(function (error) {
            console.error('oops, something went wrong!', error);
        });
        toBlob(div)
            .then(function (blob) {
            window.saveas(blob, 'my-node.png');
        });
        // let size: Rect = this.diagram.getDiagramBounds();
        // let jsonResult = { htmlData: { htmlData: htmlData, width: size.width } };
    };
    FlowDiagramComponent.prototype.exportDiagramClick2 = function (args) {
        console.log('exportDiagramClick2');
        var exportOptions = {};
        exportOptions.format = 'PNG';
        exportOptions.mode = 'Download';
        exportOptions.region = 'Content';
        exportOptions.multiplePage = true;
        exportOptions.fileName = 'Export';
        exportOptions.pageHeight = 800;
        exportOptions.pageWidth = 800;
        this.diagram.exportDiagram(exportOptions);
    };
    FlowDiagramComponent.prototype.nodeDefaults = function (obj) {
        obj.style = { fill: '#37909A', strokeColor: '#024249' };
        if (obj.annotations.length) {
            obj.annotations[0].margin = { left: 10, right: 10 };
            obj.annotations[0].style = { color: 'white', fill: 'none', strokeColor: 'none' };
        }
        return obj;
    };
    FlowDiagramComponent.prototype.connDefaults = function (obj) {
        obj.targetDecorator.style = { fill: '#024249', strokeColor: '#024249' };
        obj.style = { strokeColor: '#024249', strokeWidth: 2 };
    };
    FlowDiagramComponent.prototype.ngOnInit = function () {
        document.getElementById('appearance').onclick = this.documentClick.bind(this);
    };
    FlowDiagramComponent.prototype.onChangeAspectRatio = function (args) {
        for (var i = 0; i < this.diagram.nodes.length; i++) {
            var node = this.diagram.nodes[i];
            var isShadowEnabled = node.constraints & NodeConstraints.Shadow;
            if (args.checked) {
                node.constraints =
                    NodeConstraints.AspectRatio | NodeConstraints.Default;
            }
            else {
                node.constraints =
                    NodeConstraints.Default & ~NodeConstraints.AspectRatio;
            }
            if (isShadowEnabled) {
                node.constraints |= NodeConstraints.Shadow;
            }
            this.diagram.dataBind();
        }
    };
    FlowDiagramComponent.prototype.onChangeLock = function (args) {
        for (var i = 0; i < this.diagram.nodes.length; i++) {
            var node = this.diagram.nodes[i];
            var isShadowEnabled = node.constraints & NodeConstraints.Shadow;
            if (args.checked) {
                node.constraints =
                    NodeConstraints.PointerEvents | NodeConstraints.Select;
            }
            else {
                node.constraints = NodeConstraints.Default;
            }
            if (isShadowEnabled) {
                node.constraints |= NodeConstraints.Shadow;
            }
            this.diagram.dataBind();
        }
    };
    FlowDiagramComponent.prototype.documentClick = function (args) {
        var node;
        var target = args.target;
        var selectedElement = document.getElementsByClassName('e-selected-style');
        if (selectedElement.length) {
            selectedElement[0].classList.remove('e-selected-style');
        }
        if (target.className === 'image-pattern-style') {
            for (var i = 0; i < this.diagram.nodes.length; i++) {
                node = this.diagram.nodes[i];
                switch (target.id) {
                    case 'preview0':
                        this.applyStyle(node, 0, undefined, ~NodeConstraints.Shadow, undefined);
                        break;
                    case 'preview1':
                        this.applyStyle(node, 2, undefined, ~NodeConstraints.Shadow, undefined);
                        break;
                    case 'preview2':
                        this.applyStyle(node, 2, '5,5', ~NodeConstraints.Shadow, undefined);
                        break;
                    case 'preview3':
                        this.applyStyle(node, 2, '5,5', ~NodeConstraints.Shadow, 'Radial');
                        break;
                    case 'preview4':
                        this.applyStyle(node, 2, '5,5', NodeConstraints.Shadow, undefined);
                        break;
                }
                target.classList.add('e-selected-style');
            }
        }
    };
    FlowDiagramComponent.prototype.applyStyle = function (node, width, dashArray, con, type) {
        node.style.fill = '#37909A';
        node.style.strokeWidth = width;
        node.style.strokeColor = '#024249';
        node.style.strokeDashArray = dashArray;
        node.backgroundColor = '#024249';
        node.borderWidth = width;
        node.borderColor = 'red';
        node.constraints &= con;
        if (type === undefined) {
            node.style.gradient.type = 'None';
        }
        else {
            var gradient = void 0;
            gradient = {
                cx: 50, cy: 50, fx: 50, fy: 50,
                stops: [
                    { color: '#00555b', offset: 0 },
                    { color: '#37909A', offset: 90 }
                ],
                type: 'Radial'
            };
            node.style.gradient = gradient;
        }
        if (con & NodeConstraints.Shadow) {
            node.shadow = { angle: 45, distance: 15, opacity: 0.3, color: 'grey' };
            node.constraints |= con;
        }
        this.diagram.dataBind();
    };
    __decorate([
        ViewChild('diagram'),
        __metadata("design:type", DiagramComponent)
    ], FlowDiagramComponent.prototype, "diagram", void 0);
    FlowDiagramComponent = __decorate([
        Component({
            selector: 'main-section',
            templateUrl: 'diagram.component.html',
            encapsulation: ViewEncapsulation.None
        })
    ], FlowDiagramComponent);
    return FlowDiagramComponent;
}());
export { FlowDiagramComponent };
//# sourceMappingURL=diagram.component.js.map