import { NgModule } from '@angular/core';
import { DiagramModule, DataBindingService, SymbolPaletteModule, PrintAndExportService } from '@syncfusion/ej2-angular-diagrams';

import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { FlowDiagramComponent } from './diagram/diagram.component';


@NgModule({
  imports: [BrowserModule, DiagramModule, SymbolPaletteModule],
  declarations: [FlowDiagramComponent, AppComponent],
  bootstrap: [AppComponent],
  providers: [PrintAndExportService, DataBindingService]
})
export class AppModule { }
